/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
dojo.provide("cosmos.utility.WidgetStyles");
cosmos.utility.WidgetStyles = function (href) {
	this.components = new Array();
	this.initialize = function(){
  			dojo.io.bind({    
  			    widgetStyle: this,
				url: "WidgetStyleJSON?href="+href,
				load: function(type, data, evt){
				    this.widgetStyle.setStyles(data);
				 },    
				 error: function(type, error){
				 	dojo.debug(error.message);
				 },				 
				mimetype: "text/json"
			});		
	},
	this.setStyles = function(styles){
	   this.styles = styles;
	   dojo.event.topic.publish("initializeWidget", this);
	}
	this.getStyles = function(){
	   return this.styles;
	}
	this.href = href;	
 	dojo.event.topic.subscribe("initialize", this, this.initialize);			
	
};

